Skip to main content
POST
/
proxy
/
freepik
/
v1
/
ai
/
skin-enhancer
/
faithful
Skin enhancer using AI (Faithful)
curl --request POST \
  --url https://api.comfy.org/proxy/freepik/v1/ai/skin-enhancer/faithful \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "image": "https://example.com/portrait.jpg",
  "sharpen": 0,
  "skin_detail": 80,
  "smart_grain": 2,
  "webhook_url": "https://www.example.com/webhook"
}
'
import requests

url = "https://api.comfy.org/proxy/freepik/v1/ai/skin-enhancer/faithful"

payload = {
"image": "https://example.com/portrait.jpg",
"sharpen": 0,
"skin_detail": 80,
"smart_grain": 2,
"webhook_url": "https://www.example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: 'https://example.com/portrait.jpg',
sharpen: 0,
skin_detail: 80,
smart_grain: 2,
webhook_url: 'https://www.example.com/webhook'
})
};

fetch('https://api.comfy.org/proxy/freepik/v1/ai/skin-enhancer/faithful', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "generated": [
      "<string>"
    ],
    "task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
  }
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
image
string
required

Input image. Supports Base64 encoding or HTTPS URL (must be publicly accessible).

Example:

"https://example.com/portrait.jpg"

sharpen
integer
default:0

Sharpening intensity

Required range: 0 <= x <= 100
skin_detail
integer
default:80

Skin detail enhancement level

Required range: 0 <= x <= 100
smart_grain
integer
default:2

Smart grain intensity

Required range: 0 <= x <= 100
webhook_url
string<uri>

Optional callback URL for async notifications.

Example:

"https://www.example.com/webhook"

Response

OK - The skin enhancer process has started

data
object
required